PHP Manual
Prev |  | Next

# dbplus_resolve

(4.1.0 - 4.2.3 only, PECL)

dbplus_resolve -- Resolve host information for relation

## Description

array dbplus_resolve ( string relation_name )

dbplus_resolve() will try to resolve the given `relation_name` and find out internal server id, real hostname and the database path on this host.

## Parameters

`relation_name`

  The relation name.

## Return Values

Returns an array containing these values under the keys `sid`, `host` and `host_path` or `FALSE` on error.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_tcl()

Prev | Home | Next
dbplus_rcrtlike | Up | dbplus_restorepos